Add VertoFx Integrations
curl --request POST \
--url https://api.royalti.io/integrations/vertofx \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Royalti Demo Verto Integrations",
"apiKey": "9JP4FKWP0TMTDFPYHGSEIUGFBWEFHGSLQVSHJF2KTR17HGSGHFKHGDBSJFVG",
"clientId": "H812JHVLSDKJFBVKLJDBSFVBDFUVS86Y5"
}
'import requests
url = "https://api.royalti.io/integrations/vertofx"
payload = {
"name": "Royalti Demo Verto Integrations",
"apiKey": "9JP4FKWP0TMTDFPYHGSEIUGFBWEFHGSLQVSHJF2KTR17HGSGHFKHGDBSJFVG",
"clientId": "H812JHVLSDKJFBVKLJDBSFVBDFUVS86Y5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Royalti Demo Verto Integrations',
apiKey: '9JP4FKWP0TMTDFPYHGSEIUGFBWEFHGSLQVSHJF2KTR17HGSGHFKHGDBSJFVG',
clientId: 'H812JHVLSDKJFBVKLJDBSFVBDFUVS86Y5'
})
};
fetch('https://api.royalti.io/integrations/vertofx', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d3fa97e3-2573-4695-9d1d-516f8b11d874",
"name": "Royalti Demo Verto Integrations",
"enabled": true,
"settings": {
"apiKey": "9JP4FKWP0TMTDFPYHGSEIUGFBWEFHGSLQVSHJF2KTR17HGSGHFKHGDBSJFVG",
"clientId": "H812JHVLSDKJFBVKLJDBSFVBDFUVS86Y5"
},
"memo": null,
"TenantId": 2,
"IntegrationId": "a4ab3109-b247-431c-a7c0-fd004a851475",
"updatedAt": "2024-04-11T21:14:49.622Z",
"createdAt": "2024-04-11T21:14:49.622Z",
"metadata": null
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Vertofx
Add VertoFx Integrations
Create VertoFX Integration
POST
/
integrations
/
vertofx
Add VertoFx Integrations
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Endpoint:/integrations/vertofx
Authorization:
- Required role:
owneronly
POST
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Name of the VertoFX integration instance. |
| apiKey | string | Yes | API key for the VertoFX integration. |
| clientId | string | Yes | Client ID for the VertoFX integration. |
Code Examples
const response = await fetch('https://api.royalti.io/integrations/vertofx', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"name": "sample-name",
"apiKey": "sample-apiKey",
"clientId": "sample-clientId",
"memo": "sample-memo"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/integrations/vertofx',
headers={
'Authorization': f'Bearer {token}'
},
json={"name":"sample-name","apiKey":"sample-apiKey","clientId":"sample-clientId","memo":"sample-memo"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/integrations/vertofx \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"sample-name","apiKey":"sample-apiKey","clientId":"sample-clientId","memo":"sample-memo"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I